FinalProjectTBI/FinalProjectTBI/Controllers/AllEmailsController.cs
using FinalProjectTBI.Data.Models;
using FinalProjectTBI.Services.Contracts;
using FinalProjectTBI.Web.Models;
using FinalProjectTBI.Web.Providers;
using FinalProjectTBI.Web.Models.EmailViewModels;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using FinalProjectTBI.Services.Enums;
using Microsoft.AspNetCore.Identity;

namespace FinalProjectTBI.Web.Controllers
{
    public class AllEmailsController : Controller
    {
        private readonly IEmailService emailService;
        private readonly IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper;
        private readonly UserManager<ApplicationUser> _userManager;

        public AllEmailsController(
            IEmailService emailService,
            IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper,
            UserManager<ApplicationUser> userManager
            )
        {
            this.emailService = emailService;
            this.emailMapper = emailMapper;
            _userManager = userManager ?? throw new ArgumentNullException(nameof(userManager));
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public async Task<IActionResult> ListAllEmails()
        {
            var draw = Request.Form["draw"].FirstOrDefault();
            var start = Request.Form["start"].FirstOrDefault();
            var length = Request.Form["length"].FirstOrDefault();
            var searchValue = Request.Form["search[value]"].FirstOrDefault();

            int pageSize = length != null ? Convert.ToInt32(length) : 0;
            int skip = start != null ? Convert.ToInt32(start) : 0;

            int totalRecords = this.emailService.GetAllEmailsCount();
            var emails = await this.emailService.ListAllEmails(skip, pageSize, searchValue);

            var model = emails.Select(x => this.emailMapper.MapFrom(x)).ToList();
            
            var resultJson = Json(new
            {
                draw = draw,
                recordsFiltered = totalRecords,
                recordsTotal = totalRecords,
                data = model,
                MaxJsonLength = Int32.MaxValue,
            });

            resultJson.SerializerSettings = new Newtonsoft.Json.JsonSerializerSettings
            {
                ReferenceLoopHandling = Newtonsoft.Json.ReferenceLoopHandling.Ignore
            };

            return resultJson;           
        }

        [HttpGet]
        public IActionResult Details(int id)
        {
            var email = this.emailService.GetEmail(id);
            var model = this.emailMapper.MapFrom(email);
            return PartialView("_DetailsPartial", model);
        }

        private Task<ApplicationUser> GetCurrentUserAsync() => _userManager.GetUserAsync(HttpContext.User);

        [HttpPost]
        public async Task<IActionResult> ChangeEmailToNewStatusAsync(int emailId)
        {
            var currentUser = await GetCurrentUserAsync();
            var email = this.emailService.GetEmail(emailId);
            var currentEmailStatus = email.EmailStatus.Type.ToString();
            var userRole = await this.emailService.GetRole(currentUser);

            try
            {
                var check = ChangeStatusPermissionProvider.GetChangeStatusPermissions(currentEmailStatus, userRole);
                var result = check.Contains((EmailStatusType.New).ToString());
                if (result)
                {
                    var emailResult = await emailService.ChangeEmailStatusAsync(email, (EmailStatusType.New).ToString(), currentUser);
                }
            }
            catch (Exception)
            {
                throw new Exception();
            }

            return Ok("GJ");
        }

        [HttpPost]
        public async Task<IActionResult> ChangeEmailToOpenStatusAsync(int emailId)
        {
            var currentUser = await GetCurrentUserAsync();
            var email = this.emailService.GetEmail(emailId);
            var currentEmailStatus = email.EmailStatus.Type.ToString();
            var userRole = await this.emailService.GetRole(currentUser);

            try
            {
                var check = ChangeStatusPermissionProvider.GetChangeStatusPermissions(currentEmailStatus, userRole);
                var result = check.Contains((EmailStatusType.Open).ToString());
                if (result)
                {
                    var emailResult = await emailService.ChangeEmailStatusAsync(email, (EmailStatusType.Open).ToString(), currentUser);
                }
            }
            catch (Exception)
            {
                throw new Exception();
            }

            return Ok("GJ");
        }

        [HttpPost]
        public async Task<IActionResult> ChangeEmailToClosedStatusAsync(int emailId)
        {
            var currentUser = await GetCurrentUserAsync();
            var email = this.emailService.GetEmail(emailId);
            var currentEmailStatus = email.EmailStatus.Type.ToString();
            var userRole = await this.emailService.GetRole(currentUser);

            try
            {
                var check = ChangeStatusPermissionProvider.GetChangeStatusPermissions(currentEmailStatus, userRole);
                var result = check.Contains((EmailStatusType.Closed).ToString());
                if (result)
                {
                    var emailResult = await emailService.ChangeEmailStatusAsync(email, (EmailStatusType.Closed).ToString(), currentUser);
                }
            }
            catch (Exception)
            {
                throw new Exception();
            }

            return Ok("GJ");
        }

        [HttpPost]
        public async Task<IActionResult> ChangeEmailToNotReviewedStatusAsync(int emailId)
        {
            var currentUser = await GetCurrentUserAsync();
            var email = this.emailService.GetEmail(emailId);
            var currentEmailStatus = email.EmailStatus.Type.ToString();
            var userRole = await this.emailService.GetRole(currentUser);

            try
            {
                var check = ChangeStatusPermissionProvider.GetChangeStatusPermissions(currentEmailStatus, userRole);
                var result = check.Contains((EmailStatusType.NotReviewed).ToString());
                if (result)
                {
                    var emailResult = await emailService.ChangeEmailStatusAsync(email, (EmailStatusType.NotReviewed).ToString(), currentUser);
                }
            }
            catch (Exception)
            {
                throw new Exception();
            }

            return Ok("GJ");
        }

        [HttpPost]
        public async Task<IActionResult> ChangeEmailToNotValidStatusAsync(int emailId)
        {
            var currentUser = await GetCurrentUserAsync();
            var email = this.emailService.GetEmail(emailId);
            var currentEmailStatus = email.EmailStatus.Type.ToString();
            var userRole = await this.emailService.GetRole(currentUser);

            try
            {
                var check = ChangeStatusPermissionProvider.GetChangeStatusPermissions(currentEmailStatus, userRole);
                var result = check.Contains((EmailStatusType.NotValid).ToString());
                if (result)
                {
                    var emailResult = await emailService.ChangeEmailStatusAsync(email, (EmailStatusType.NotValid).ToString(), currentUser);
                }
            }
            catch (Exception)
            {
                throw new Exception();
            }

            return Ok("GJ");
        }

        [HttpGet("404")]
        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

FinalProjectTBI/FinalProjectTBI/Controllers/NewAppsController.cs
using FinalProjectTBI.Data.Models;
using FinalProjectTBI.Services.Contracts;
using FinalProjectTBI.Web.Models.EmailViewModels;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Linq;
using System.Threading.Tasks;

namespace FinalProjectTBI.Web.Controllers
{
    public class NewAppsController : Controller
    {
        private readonly ILoanApplicationService loanApplicationService;
        private readonly ILoanApplicantService loanApplicantService;
        private readonly IViewModelMapper<LoanApplication, LoanApplicationViewModel> loanApplicationMapper;
        private readonly IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper;
        private readonly UserManager<ApplicationUser> _userManager;
        private readonly IEmailService emailService;

        public NewAppsController(
            ILoanApplicationService loanApplicationService, 
            ILoanApplicantService loanApplicantService,
            IViewModelMapper<LoanApplication, LoanApplicationViewModel> loanApplicationMapper,
            UserManager<ApplicationUser> userManager, IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper,
            IEmailService emailService)
        {
            this.loanApplicationService = loanApplicationService ?? throw new ArgumentNullException(nameof(loanApplicationService));
            this.loanApplicantService = loanApplicantService ?? throw new ArgumentNullException(nameof(loanApplicantService));
            this.loanApplicationMapper = loanApplicationMapper ?? throw new ArgumentNullException(nameof(loanApplicationMapper));
            this.emailMapper = emailMapper ?? throw new ArgumentNullException(nameof(emailMapper));
            this.emailService = emailService ?? throw new ArgumentNullException(nameof(emailService));
            _userManager = userManager;
        }

        [HttpGet]
        [Authorize]
        public IActionResult Index()
        {
            return View();
        }


        [HttpGet]
        public IActionResult Details(int id)
        {
            var email = this.emailService.GetEmail(id);
            var emailBodyContent = email.EmailBody.Content;
            var model = new NewLoanApplicationViewModel();
            model.Email = this.emailMapper.MapFrom(email);	

            var emailViewModel = this.emailMapper.MapFrom(email);
            var content = emailViewModel.EmailBodyContent;
            model.Email = emailViewModel;

            return PartialView("_NewLoanApplicationPartial", model);
        }

        [HttpPost]
        public IActionResult Details(NewLoanApplicationViewModel model)
        {
            var email = this.emailService.GetEmail(model.Email.Id);
            var loanApplication = email.LoanApplication;
            return PartialView("_NewLoanApplicationPartial", model);
        }


        public IActionResult AddNewLoanApplication()
        {
            return View();
        }

        [HttpPost]
        [Authorize]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> AddNewLoanApplication(LoanApplicationViewModel model)
        {
            if (!this.ModelState.IsValid)
            {
                return View(model);
            }

            var loanApplicant = await this.loanApplicantService.
                AddLoanApplicantAsync(
                model.LoanApplicant.Name, model.LoanApplicant.ClientNumber,
                model.LoanApplicant.PhoneNumber);

            var loanApplication = await this.loanApplicationService.
                AddLoanApplicationAsync(loanApplicant, model.Email.Id);

            return RedirectToAction("Index", "Home");
        }    

        private Task<ApplicationUser> GetCurrentUserAsync() => _userManager.GetUserAsync(HttpContext.User);

        [HttpPost]
        public async Task<IActionResult> ListNewEmails()
        {
            var draw = Request.Form["draw"].FirstOrDefault();
            var start = Request.Form["start"].FirstOrDefault();
            var length = Request.Form["length"].FirstOrDefault();
            var searchValue = Request.Form["search[value]"].FirstOrDefault();

            int pageSize = length != null ? Convert.ToInt32(length) : 0;
            int skip = start != null ? Convert.ToInt32(start) : 0;

            int totalRecord = this.emailService.GetNewEmailsCount();
            var emails = await this.emailService.ListNewEmails(skip, pageSize, searchValue);


            var model = emails.Select(x => this.emailMapper.MapFrom(x)).ToList();

            var json = Json(new { draw = draw, recordsFiltered = totalRecord, recordsTotal = totalRecord, data = model });

            json.SerializerSettings = new Newtonsoft.Json.JsonSerializerSettings
            {
                ReferenceLoopHandling = Newtonsoft.Json.ReferenceLoopHandling.Ignore
            };

            return json;
        }
    }
}

FinalProjectTBI/FinalProjectTBI/Controllers/OpenAppsController.cs
using FinalProjectTBI.Data.Models;
using FinalProjectTBI.Services.Contracts;
using FinalProjectTBI.Web.Models;
using FinalProjectTBI.Web.Models.EmailViewModels;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace FinalProjectTBI.Web.Controllers
{
    public class OpenAppsController : Controller
    {
        private readonly ILoanApplicationService loanApplicationService;
        private readonly ILoanApplicantService loanApplicantService;
        private readonly IEmailService emailService;
        private readonly IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper;

        public OpenAppsController(
            ILoanApplicationService loanApplicationService, 
            ILoanApplicantService loanApplicantService,
            IEmailService emailService,
            IViewModelMapper<ReceivedEmail, EmailViewModel> emailMapper
            )
        {
            this.loanApplicationService = loanApplicationService ?? throw new ArgumentNullException(nameof(loanApplicationService));
            this.loanApplicantService = loanApplicantService ?? throw new ArgumentNullException(nameof(loanApplicantService));
            this.emailService = emailService ?? throw new ArgumentNullException(nameof(emailService));
            this.emailMapper = emailMapper ?? throw new ArgumentNullException(nameof(emailMapper));
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public async Task<IActionResult> ListOpenEmails()
        {
            var draw = Request.Form["draw"].FirstOrDefault();
            var start = Request.Form["start"].FirstOrDefault();
            var length = Request.Form["length"].FirstOrDefault();
            var searchValue = Request.Form["search[value]"].FirstOrDefault();

            int pageSize = length != null ? Convert.ToInt32(length) : 0;
            int skip = start != null ? Convert.ToInt32(start) : 0;

            int totalRecords = this.emailService.GetOpenEmailsCount();
            var emails = await this.emailService.ListOpenEmails(skip, pageSize, searchValue);

            var model = emails.Select(x => this.emailMapper.MapFrom(x)).ToList();

            var resultJson = Json(new
            {
                draw = draw,
                recordsFiltered = totalRecords,
                recordsTotal = totalRecords,
                data = model,
                MaxJsonLength = Int32.MaxValue,
            });

            resultJson.SerializerSettings = new Newtonsoft.Json.JsonSerializerSettings
            {
                ReferenceLoopHandling = Newtonsoft.Json.ReferenceLoopHandling.Ignore
            };

            return resultJson;
        }

        [HttpGet]
        public IActionResult Details(int id)
        {
            var email = this.emailService.GetEmail(id);
            var model = this.emailMapper.MapFrom(email);
            return PartialView("_DetailsPartial", model);
        }

        [HttpGet("404")]
        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

FinalProjectTBI/FinalProjectTBI/Views/Shared/_DetailsPartial.cshtml
@model EmailViewModel

@{
    ViewData["Title"] = "_DetailsPartial";
}

<div class="content-wrapper">
    <h2>Details</h2>
    <textarea readonly style="background-color:#fcf8e3;">
        @if (Model.EmailBodyContent != null)
        {
            @Html.Raw(@Model.EmailBodyContent)
        }
    </textarea>

    @if (Model.Attachments.Count > 0)
    {
        foreach (var attachment in Model.Attachments)
        {
            <div><img src="/images/image.png" style="width:18px" />: @attachment.FileName, @attachment.Size Bytes</div>
        }
    }

    @if (Model.EmailStatusType == "NotReviewed")
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
            <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
        </form>
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNotValidStatusAsync">
            <button id="NotValid" type="button" class="btn btn-danger alert-danger" data-dismiss="modal">NotValid</button>
        </form>

    }

    @if (Model.EmailStatusType == "NotValid" && User.IsInRole("Manager"))
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNotReviewedStatusAsync" data-dismiss="modal">
            <button id="NotReviewed" type="button" class="btn btn-warning alert-warning">Not Reviewed</button>
        </form>
    }

    @if (Model.EmailStatusType == "New")
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToOpenStatusAsync" data-dismiss="modal">
            <button id="Open" type="button" class="btn btn-success alert-success">Open</button>
        </form>

        if (User.IsInRole("Manager"))
        {
            <form asp-controller="AllEmails" asp-action="ChangeEmailToNotReviewedStatusAsync" data-dismiss="modal">
                <button id="NotReviewed" type="button" class="btn btn-warning alert-warning">Not Reviewed</button>
            </form>
        }
    }

    @if (Model.EmailStatusType == "Open")
    {
        if (User.IsInRole("Manager"))
        {
            <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
                <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
            </form>
        }

        <form asp-controller="AllEmails" asp-action="ChangeEmailToClosedStatusAsync">
            <button id="Closed" type="button" class="btn btn-danger alert-danger" data-dismiss="modal">Closed</button>
        </form>
    }

    @if (Model.EmailStatusType == "Closed" && User.IsInRole("Manager"))
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
            <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
        </form>
    }
</div>

<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>

<script>
    $(function () {
        $('#New').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNewStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#Open').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToOpenStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#Closed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToClosedStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotReviewed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNotReviewedStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotValid').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNotValidStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

FinalProjectTBI/FinalProjectTBI/Views/Shared/_Layout.cshtml
@using Microsoft.AspNetCore.Identity
@using FinalProjectTBI.Data.Models

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - FinalProjectTBI</title>
    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>
<body>
    <nav class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @if (SignInManager.IsSignedIn(User))
                {
                    <a asp-area="" asp-controller="Home" asp-action="Index" class="navbar-brand">Final Project TBI</a>
                }
                else
                {
                    <a asp-area="" asp-controller="Account" asp-action="Login" class="navbar-brand">Final Project TBI</a>
                }
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    @if (SignInManager.IsSignedIn(User))
                    {
                        <li><a asp-area="" asp-controller="AllEmails" asp-action="Index">All Emails</a></li>
                        <li><a asp-area="" asp-controller="NewApps" asp-action="Index">New Apps</a></li>
                        <li><a asp-area="" asp-controller="OpenApps" asp-action="Index">Open Apps</a></li>
                        <li><a asp-area="" asp-controller="ClosedApps" asp-action="Index">Closed Apps</a></li>
                    }
                    else
                    {

                    }
                </ul>
                @await Html.PartialAsync("_LoginPartial")
            </div>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p style="text-align:left">&copy; 2019 - Final Project TBI</p>
        </footer>
    </div>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-2.2.0.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-K+ctZQ+LL8q6tP7I94W+qzQsfRV2a+AfHIi9k8z8l9ggpc8X+Ytst4yBo/hH+8Fk">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>

FinalProjectTBI/FinalProjectTBI/Views/Shared/_NewLoanApplicationPartial.cshtml
@model NewLoanApplicationViewModel

@{
    ViewData["Title"] = "_NewLoanApplicationPartial";
}

<div class="content-wrapper">
    <textarea readonly style="background-color:#fcf8e3;">
        @if (Model.Email.EmailBodyContent != null)
        {
            @Html.Raw(@Model.Email.EmailBodyContent)
        }
    </textarea>

    @{ var loanApplication = Model.LoanApplication; }

    <form id="add-loanapllication-form" asp-controller="NewApps" asp-action="Details" method="post">
        <div class="col-md-6">
            <div class="form-group">
                <p></p><br />
                <label asp-for="@loanApplication.LoanApplicant.Name">Applicant Name</label>
                <input placeholder="Name" asp-for="@loanApplication.LoanApplicant.Name" name="LoanApplicant.Name" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@loanApplication.LoanApplicant.ClientNumber">Client number</label>
                <input placeholder="Personal Number" asp-for="@loanApplication.LoanApplicant.ClientNumber" name="LoanApplicant.PersonalNumber" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.ClientNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="@loanApplication.LoanApplicant.PhoneNumber">Phone number</label>
                <input placeholder="+359 xxx xxx xxx" asp-for="@loanApplication.LoanApplicant.PhoneNumber" name="LoanApplicant.PhoneNumber" class="form-control" />
                <span asp-validation-for="@loanApplication.LoanApplicant.PhoneNumber" class="text-danger"></span>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <div class="form-group">
                        <button id="Open" type="submit" class="btn btn-success alert-success" data-dismiss="modal">Open</button>
                    </div>
                </div>
                <div class="col-md-3">
                    @if (User.IsInRole("Manager"))
                    {
                        <button id="NotReviewed" type="submit" class="btn btn-warning alert-warning"  data-dismiss="modal">Not Reviewed</button>
                    }
                </div>
            </div>
        </div>
    </form>
</div>

<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>

<script>
    $(function () {
        $('#Open').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToOpenAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotReviewed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/Email/ChangeStatusToNotReviewedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>